do
   local MyUnitIdTable = {
--SERAPHIMS      
	  'xso0101',  
	  'xso2001',
	  'xso1101',
--FTU	  
	  'ueo1101',
	  'ueo1103',
	  'ueo1102',
	  'ueo0105',
	  'ueb0401',
	  'uob2101',
	  'ueo0101',
--CYBRANS	  
	  'uro0101',
	  'uro1101',
	  'uro1102',
	  'uro2109',
	  'uro2001',
	  'uro1103',
	  'urb0401',
--AEONS	  
	  'uao01101',
	  'uao0101',
	  'uao1102',
	  'uao1103',
	  'uab0401',
	  'uao2109',
	  'uao2001',
	  'uao2001',
   }


   local MyIconPath = "/Mods/modtestmagic"
   
   local function IsMyUnit(bpid)
      for i, v in MyUnitIdTable do
         if v == bpid then
            return true
         end
      end
      return false
   end
   
   local oldUpdateWindow = UpdateWindow
   function UpdateWindow(info)
      oldUpdateWindow(info)
      if IsMyUnit(info.blueprintId) and DiskGetFileInfo(MyIconPath .. '/icons/units/' .. info.blueprintId.. '_icon.dds') then
         controls.icon:SetTexture(MyIconPath .. '/icons/units/' .. info.blueprintId .. '_icon.dds')
      end
   end
end